# Create a new Agent

**Step 1: Prepare Your Request**

* **Endpoint:** `/agent/create-agent`
* **Method:** `POST`
* **URL:** `https://api.talkstackai.com/agent/create-agent`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in headers

**Step 2: Create the Request Body**

* `name`: name of the AI Agent to be created.
* `systemInstruction`: instructions to the bot. The AI Agent will use these instructions for calling. For Example: "You are an agent called John. You can take any question related to Chemistry."
* `projectId`: the id of the project for which the agent is to be created.
* `phoneNumber`: phone number to be given to the AI Agent. The AI Agent will use this phone number to make calls.
* `voice_id`: It is the id of the voice with which agent speaks.

```
{
    "name": "Jack",
    "systemInstruction": "You are an agent called John. You can take any questions related to Mathematics.",
    "projectId": "XXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "voice_id": "xxxxxxxxxxxxxxxxxxxxxxxx"
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the POST request with the JSON body.

**Step 4: Handle the Response**

The response will provide detailed information about the new agent created.

**Troubleshooting**

* `400 Bad Request`: If the projectId, name, systemInstruction, or phoneNumber is missing in the request.
* `500 Internal Server Error`: For errors in creating a new agent.

Last updated 15 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/agent/create-a-new-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
